Biometric Kyc Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

1st Onboard customers using onboarding api then you receive outlet_id.

📘

Header Request

Accept : application/json
Content-Type: application/json
secret : Unique secret key (Provided by Pay2New)
outletId: Unique OutletID (Provided by Pay2New)

Request Parameters

No request body is required. Send empty JSON.

Sample Request

curl -X POST "https://pay2new.in/apis/aeps/v1/biometricKycStatus" \
  -H "Content-Type: application/json" \
  -H "secret: YOUR_SECRET" \
  -H "outletId: CUSTOMER_OUTLET_ID" \
  -d '{}'
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://YOUR_DOMAIN/apis/upiAtm/v1/biometricKycStatus',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'secret: YOUR_SECRET',
    'outletId: CUSTOMER_OUTLET_ID'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Response Parameters

NameTypeDescription
statusintPay2New Transaction Status
messageStringMessage from API
data.customer_aadhaar_numberStringCustomer mask Aadhaar number
data.statusStringKYC status
data.pidOptionWadhStringKYC Wadh Value
data.referenceKeyStringKYC Reference Key
data.actionStringKYC action
order_idStringPay2New Order Id

// Success response

{
  "status": 1,
  "message": "Transaction Successful",
  "data": {
    "customer_aadhaar_number": "XXXXXXXX1234",
    "status": "APPROVED",
    "pidOptionWadh": "BASE64_OR_WADH_VALUE",
    "referenceKey": "REF123456789",
    "action": "NO-ACTION-REQUIRED"
  },
  "order_id": null
}
//KYC required response example

{
  "status": 1,
  "message": "KYC Required",
  "data": {
    "customer_aadhaar_number": "XXXXXXXX1234",
    "status": "PENDING",
    "pidOptionWadh": "BASE64_OR_WADH_VALUE",
    "referenceKey": "REF123456789",
    "action": "BIOMETRIC-KYC-REQUIRED"
  },
  "order_id": null
}
//KYC Pending from bank side response example

{
  "status": 1,
  "message": "Transaction Successful",
  "data": {
    "customer_aadhaar_number": "XXXXXXXX1234",
    "status": "APPROVAL-PENDING",
    "pidOptionWadh": "NULL",
    "referenceKey": "NULL",
    "action": "NO-ACTION-REQUIRED"
  },
  "order_id": null
}
// Failed response

{
  "status": 2,
  "message": "Invalid Data",
  "data": {
    "customer_aadhaar_number": "",
    "status": "",
    "pidOptionWadh": "",
    "referenceKey": "",
    "action": ""
  },
  "order_id": null
}

🚧

Please Note:

To avoid transaction failures and account suspension, for every merchant you need to pass the unique outlet Id in the headers.

Headers
string

(Provided by Pay2New)

string

(Customer outlet id Provided by Pay2New)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json